Summary: A utility to provide feedback when starting X11 applications.
Name: xalf
Version: 0.4
Release: 2mdk
Copyright: GPL
Group: Graphical desktop/GNOME
Source: http://www.lysator.liu.se/~altic/projects/xalf/%{name}-%{version}.tar.bz2
Source1: xalf.bz2
Patch: xalf-init.patch.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-root
URL: http://www.lysator.liu.se/~altic/projects/xalf

%description
This is a small utility to provide feedback when starting X11
applications.  Feedback can be given via four different indicators:
An invisible window (to be used in conjunction with a task pager like
Gnomes tasklist_applet or KDE Taskbar), an generic splashscreen, an
hourglass attached to the mouse cursor or an animated star. 


%prep
%setup
%patch -p1 -b .init

%build

%configure

%make

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
%makeinstall

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/gnome/config
bzcat %SOURCE1 > $RPM_BUILD_ROOT%{_sysconfdir}/gnome/config/xalf

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)

%doc AUTHORS FAQ COPYING ChangeLog NEWS README INSTALL extras
%{_libdir}/libxalflaunch.so.*
%{_bindir}/xalf
%{_bindir}/xalfoff
%{_bindir}/xalf-capplet
%{_datadir}/pixmaps/hourglass-big.png
%{_datadir}/pixmaps/hourglass-small.png
%{_datadir}/control-center/Xalf/.directory
%{_datadir}/control-center/Xalf/settings.desktop
%config(noreplace) %{_sysconfdir}/gnome/config/xalf

%changelog
* Wed Aug 23 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4-2mdk
- Activate invisible window mode by default

* Wed Aug 23 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4-1mdk
- First mandrake package

* Sun Jun 18 2000 Peter Astrand <altic@lysator.liu.se>
- version 0.4

* Thu Jun 1 2000 Peter Astrand <altic@lysator.liu.se>
- version 0.3

* Sat Apr 15 2000 Peter Astrand <altic@lysator.liu.se>
- version 0.2
